Program information

For Windows® 2000 and XP

Copyright © 1999 - 2006 by Ashampoo Development GmbH & Co. KG

Felix-Wankel-Str. 16, 26125 Oldenburg, Germany

Chief Developer: Niki Bugarcici

User Interface Graphics: Sebastian Strzelecki

Help & Documentation: Henning Seedorf

Use of this program and all its component modules is

subject to the terms and conditions of the License

Agreement you agreed to when you installed the software.


Welcome

Welcome to Ashampoo FireWall

Welcome

Ashampoo FireWall Pro is like a trusty watchdog standing guard at the entrance to your property. It is always alert and checks everything going in and out of your computer, keeping out unwanted intruders and preventing unauthorized access to the Internet from your computer. And despite its impressive power it is so simple to use – in Easy Mode you just click and go for full protection.

In the following chapters you receive further information of the program structure of Ashampoo FireWall Pro.


About the program

About Ashampoo FireWall

About Ashampoo FireWall Pro ?

If you don’t have a degree in computer science, using a firewall program can be quite frustrating. In addition to all the confusing jargon, current firewalls are getting to be very big programs. Sometimes you have the feeling that you’re installing an entire office suite instead of a basic network tool. The brand-new Ashampoo FireWall Pro is different. It’s Configuration Assistant guides you through every step of the simple setup process. And Easy Mode makes using it a breeze – you don’t need any special technical knowledge and everything is explained clearly.

Ashampoo FireWall Pro is also amazingly compact. Even with its four additional security tools it’s a tiny program that uses very little memory and computer resources. You get the heavy-duty protection without heavyweight overload on your system. You computer is protected, as soon as Ashampoo FireWall Pro is installed.

Features...

1 Heavy-duty firewall protection: Monitors all your computer’s network activity and protects you against both incoming and outgoing connections.
2 Easy Mode: Get full protection in seconds with Easy Mode and the Configuration Assistant. No expert knowledge required.
3 Expert Mode: Experience users can activate this mode for powerful additional capabilities.
4 Simple and compact: Self-explanatory user interface. Very small program that uses minimum memory and resources
5 Learning Mode: Automatically identifies programs that try to make connections and lets you decide whether you want to allow them. One-click operation in Easy Mode or full configuration in Expert Mode.
6 Rules: Create rules for every program that controls how they can access the network. One-click in Easy Mode or full configuration in Expert Mode.
7 Block All: One-click panic button for emergencies that lets you block all traffic, for example if you are under attack or suspect that a malicious program is active.
8 AutoStart Manager: Identify and disable unwanted auto-starting programs. Finds these programs in all locations where they can be hidden.
9 System Process Monitor: Check running processes and stop them if necessary. Allows you to display all processes, only system processes or only non-system processes.
10 Internet Cleaner: Delete all traces of your surfing trail. Includes support for multiple browsers.
11 IP Spam Blocker: Stop annoying popup spam on your desktop.
12 Monitor local connections: Ashampoo FireWall can also monitor the local connections used inside your computer. Useful for identifying suspicious activity. Can be enabled or disabled.
13 Monitor LAN connections: Monitor all the local LAN traffic into and out of your computer. Can be enabled or disabled.
14 Connection log: Detailed logging of all internal, LAN and Internet connections with date, time, application, port used and IP address.

Additional Functions...

1 Child Protection mode:
This feature is great for concerned parents, making it impossible to go online without entering the correct password.
2 Active protection against Trojans:
The PRO version provides effective active protection against Trojan horse programs, DLL hijackers and other malware that tries to use trusted applications like your web browser to go online secretly and transmit information.
3 Stealth ports:
“Ports” are like radio channels. They are the addresses in your computer that are used to access your machine from the Internet. There are thousands of these addresses, and if any of them are “open” a port scanner can find them and gain access to your computer. Stealth ports make your ports invisible so that scanner programs can’t even see that your computer exists. This provides very strong protection against attacks.
4 Port scan blocking:
This feature adds further protection by actively preventing scans of your computer’s ports, even including the open ports that you are using for communication. Together with stealth ports it makes it virtually impossible for attackers to access your machine.
5 Complex rules:
Experienced users can define complex firewall rules geared to their own specific needs. For example, you could create a rule specifying “Allow outgoing UDP packets on port X for application Y”.
6 Traffic volume limiting:
This useful function prevents unexpected costs on volume-based Internet accounts. It monitors your traffic and can be set to automatically close your connection as soon as you reach your monthly limit.
7 Internet Accelerator:
Checks the configuration of your Internet connection and optimizes your settings automatically if necessary to achieve better performance.
8 FileWiper:
This useful tool enables you to permanently delete critical files and folders from your hard disks so that they can never be found or recovered – not even by data security experts using professional laboratory tools.


 Main Menu

Main Menu

Main Menu (main window)

Here you can find all important information and functions of Ashampoo FireWall. It is not necessary to start the program in order to activate the protection. If Ashampoo FireWall recognizes a situation, which requires your attention, a window is opened automatically, which contains suggestions on the further proceeding. You can start Ashampoo FireWall at any time to adapt settings, to check the protection or to carry out preventive measures. All program functions can be selected from the "Main Menu" (main window). Just click on the functions to receive further information.

Learning Mode

If the learning mode is activated (standard), a notification always occurs, if an application tries to connect to the Internet without having rules. You can allow or deny the connecting buildup. In addition, you can fix your decision for the future connecting buildups of this application, so that with a renewed connecting buildup your approval is not necessary once more. The Internet traffic is supervised in the background constantly and searches for suspicious activities. If the learning mode is deactivated the red [image] is visible and only known rules will be used. We recommend to activate the learning mode. Please click on "deactivated". Now the [image] has been substituted with the green [image] and " deactivated" by "activated".

Block All

Using "Block All" the whole incoming and outgoing traffic will stop immediately and the external access to your system will be denied. If the activate "Block All", all programs on your computer are uable to connect to the Internet.

Block incoming ICMP requests

This option enables you to block incoming ICMP packets - unless they are responses to requests sent by this computer. Often, in preparation for an attack, your system is first being "pinged" to determine whether the computer responds at all. In rare cases this option can block some network games.

Refresh active connections and technique-information

This option enables you to control the permanent refreshing of active connections and technical information under "Protocols". Deactivating this option increases the system performance by a fraction. If you do not need that kind of information, deactivate this option.

Monitor local packets (Expert-Mode only)

This option enables you to also monitor local packets. It is highly recommended to only activate this option if you are very familiar with network technology. This option may use up some of the system's performance. Local port scans (various port scanners) can only be recognized+blocked if this option is activated.

Statistics

The statistics gives you a review about the number of supervised, blocked and allowed connections.

Tasks

From here you can use the most important functions of Ashampoo FireWall Pro.


Configuration Assistant

The Configuration Assistant

Besides, the configuration assistant helps for you to configure Ashampoo FireWall Pro according to your needs. Step by step the assistant accompanies you through the configuration, starting with the choice of the mode, followed by the definition of important settings. In the last step the assistant searches your whole system for applications which would always like to connect to the Internet.

A novice should use the Easy mode, which simplifies the work with the Firewall extremely. Experienced users can switch into expert mode and control the high performance functions of the FireWall.

Step 1: Choose the mode

Here you can choose between easy-mode and expert-mode.

Easy-Mode | Expert-Mode
In the easy mode local connections and LAN connections are not announced. They are allowed automatically. Besides, port allocations are not possible which means that only the "full access" option is available. | The expert mode is exactly the right for advanced users. The user receives access to all functions of Ashampoo FireWall Pro. For example, in Expert Mode you can create detailed rules for every program, specifying exactly which ports and which types of connections you want to let it use. Experienced users can also monitor both local area network connections and the internal connections inside your own computer.

Step 2: Different Settings

If you have selected a mode, you can configure the Firewall. Ashampoo FireWall Pro searches your hard disk for applications for which there are still no rules.

Easy-Mode Options

Expert-Mode Options

The assistant lists all applications connecting to the Internet with corresponding rules ( full access or no access).

Here you configure at first whether local connections (low risk, because ordinarily only data is sent between applications on your computer and no connections are built up from the outside or to outside) and / or LAN connections (connections within the local network) should be supervised.

The assistant lists all applications which build up Internet connections and the shows the rule (allowed ports).

Step 3: Apply

By clicking on "Apply" you conclude the configuration-assistant and the configuration of Ashampoo FireWall Pro. You can edit every Rule using the "Rules" tab.


 Notification Windows

Notification Windows

Notification Windows

Ashampoo FireWall Pro is your shield and protects you certainly against data spying. Ashampoo FireWall Pro supervises all incoming and outgoing Internet connections. Ashampoo FireWall Pro guards the ports of your computer, i.e. the "entrances" about which the Internet traffic occurs and informs you appropriately. You are warned immediately visually and if requested acoustically (here adjustable). Trojans, or Trojan horses install, for instance, with pleasure so-called "Backdoors" and try to open a port and, so to speak, an entrance to your system.

Please read at first the warning announcement calmly, before you make a decision. Find out about the kind of warning announcement and to which application the announcement refers to. Select an action, as soon as you know whether it is a trusted application.

Ashampoo FireWall Pro contains two different kinds of notification windows. Press the accompanying pictures to receive more information.

As long as the notification window is active, your computer is protected against attacks, so, you do not need to precipitate your decision.

By notification of local connections the blue window will change to a green window.


 Blue Notification Window

Blue Notification Window

The Blue Notification Window

The blue notification window appears every time if an application tries to connect to the Internet without subjecting to rules. Depending on whether there´s a outgoing or incoming connection, you are asked for permission. You will receive detailed information about the application. If you like to apply the setting for all ports (only experts mode), please mark the checkbox to the left of it. If you like to add the access of the application as a rule, so that the notification window is indicated with the next connecting attempt of this application no more, please mark the appropriate checkbox. You can edit the rules subsequently.

Outgoing Connections

Outgoing connections are marked by a green, upwards directed arrow.

Incoming Connections

You recognize incoming connections by a blue arrow down.

If the window with green background appears, local connections will be scanned. (Configurable within the rules)

Blocked and added applications are indicated in the "Rules" tab.

PID stands for Process ID (take a look at the blue/green dialog). It's how the operating system keeps track of the various programs, or processes, on your computer. If you have more instances of a program running, each will have a different PID.


Red Notification Window

The Red Notification Window

Recognizes Ashampoo FireWall Pro that an application, being subjected to rules has changed, the following red dialog appears which draws the attention of you to the fact that the integrity check of this application has missed. This is a reason for the acceptance that unauthorized have tried to manipulate the application. Confirming with "NO", all existing rules of this application will be deleted, so that you are informed with the next attempt of the application to produce a connection with the Internet you will be automatically informed by the blue notification window. Confirming with "YES", the rules of the original application will be activated.

Files and applications which try to “hide themselves” before Windows® are examined and scanned constantly


Functions

Functions

Main Menu

Ashampoo FireWall Pro is designed to be as simple and intuitive as possible. All functions have the same layout, so as soon as you've learned how to use one module you'll feel at home in all of them. Also, all the information you need is displayed on the main dialog of each function module. The main menu of Ashampoo FireWall Pro is the central point from where you can start your work with the single functions.

Rules

Suitably to each program, rules can be set up, that determine, how and whether the application may connect to the Internet. Using easy-mode, you will only need a mouse click.

Statistics

Shows you a statistic of all connections.

Logs

Detailed logging of all internal, LAN and Internet connections with date, time, application, port used and IP address. Here, every connecting is logged. The list is limited to 250 log entries which you can change at any time in the settings. In addition, you have the possibility to export every protocol (html).

Configuration

Here you receive a summary of existing settings and you can edit them at the same time. From here you can open the configuration assistant of Ashampoo FireWall Pro and/or reset the settings, so that pre-defined settings are used. (Besides, existing rules will not be deleted)

Tools

Here you find additional Tools to increase your system´s security. Besides, the following tools are available to you: Autostart-Manager, Processes, Internet Cleaner, and the IP-Spam-Blocker


 Rules

Rules

Rules...

Programs, as for example web browser, must be able to access the Internet in order to be able to execute their original function.

Internal Rules...

Internal rules are pre-defined, fix rules which are used for basic functions og Ashampoo FireWall Pro. The internal rules cannot be edited or deleted.

Clean up Rules...

It can happen that rules still exist, although you have already deleted the corresponding application. With these functions you can remove inactive rules from the list and update.

Add Rules...

Here you can add new rules manually (without permission window). At first a dialog opens in which you can select the application for which you would like to set rules. Please pay attention to the fact that you choose the program file (.exe or the shortcut) and not the setup file of the application. Now select the attitudes of the rule for the application. Decide whether you like to allow connections for this application or to block. If you like to allow or block only special ports, you can apply these ports using " Use these rules ". Depending on the type of connection you want to allow please mark the accompanying checkboxes.

Edit Rules...

The same dialogue appears used when adding new rules, only that in this case already defined rules are available and changeable. By clicking the "statistics" tab you receive information about supervised client-/and server connections of the selected application. Use the "information" tab in order to find detailed information about the application, as for example the destination path or the MD5-check-sum of the application. You can also allow access to before blocked applications.

Define Complex Rules

If you want you can define your own complex rules geared to the needs of your individual configuration. Ashampoo Firewall Pro makes it easy to specify the precise details of the interaction between the protocol, port and application for both incoming and outgoing connections (for example “Allow outgoing UDP packets on port X for application Y”).

By clicking on "edit" a dialogue opens, where you can set additional settings.

Here you can specify additionally whether only incoming or outgoing packets using one or several ports certified to become to be supposed or generally bi-directional data traffic is accepted.

Delete Rules...

As the name already says, you can delete rules. Using this functions, one more confirmation follows, if you still, nevertheless, like to change your opinion.


 Statistics

Statistics

Statistics

Ashampoo FireWall Pro summarizes you all network activities in the statistics. This function generates detailed statistics on every connection and every event in real time and displays them.

All packets

Here can you see the number of all packages, which came with the data traffic and which were permitted and blocked by rule definitions.

TCP/IP

Here you see the number of packets using TCP/IP and which of it were permitted or blocked.

UDP

Here you see the number of packets using UDP and which of it were permitted or blocked.

ICMP/RAW

Here you see the number of packets using ICMP/RAW and which of it were permitted or blocked.

Amount of Data
With this function you can see the data traffic in megabytes (MB) of all connections altogether. Additionally you see the permitted data, as well as blocked data.

Reset...

You have the possibility to reset the statistics. In this manner you can find out, for instance how rule changes affect.

How to reset statistics...

1. Click on “Statistics” in the main menu.

2. Click on "reset statistics".


Logs

Logfiles

During most users of Ashampoo FireWall Pro been sufficient to know that their computer is secured, some users would like to be additionally about all procedures on their system informed. All connections are stored in protocols, so that you have the possibility to understand processes any time and to be able to check. All protocols can be exported and archived to any places and be put into archives.

Logs

This protocol contains all connections which were either admitted or were blocked. You recognize blocked connections by the red "stop sign", admitted connections are shown with a green "hook". The accompanying arrows show the type of connection, incoming (arrow down) or outgoing (arrow upwards).

Aktive Connections

You also get detailed information on all your computer’s internal, LAN and external connections and communications settings and statistics, updated continuously at user-defined intervals. It’s like having the NetStat tool running continuously, giving you an open window onto your machine’s network activity.

Technique Details

Detailed information of the network connections. Here you see all current information about network protocols TCP/IP, UDP and the existing network adapters.


Configuration

Set Options...

Configuration

Here you can access general settings, e.g. to activate an acoustic signal during new application recognition. Use the menu on the left to get more information.

Configuration Assistant

Helps in the selection of the basic functions and accompanies you step by step through the configuration.

Reset Defaults

You can restore the standard security settings of Ashampoo FireWall Pro fast and simply. The rules for the respective applications and the statistics remain untouched. You can restore the statistics in the "Statistics" menu.


Mode

Switch Easy-/ and Expert-Mode...

Select here the mode of Ashampoo FireWall Pro. You have the possibility to select between easy-mode and expert-mode.

Easy-Mode

Get full protection in seconds with Easy Mode and the Configuration Assistant. No expert knowledge is required.

Expert-Mode

This doesn’t mean that Ashampoo FireWall Pro is a lightweight program. On the contrary, it has a full range of expert features if you want to use them – just activate Expert Mode and you’re ready to go. For example, in Expert Mode you can create detailed rules for every program, specifying exactly which ports and which types of connections you want to let it use. Experienced users can also monitor both local area network connections and the internal connections inside your own computer. You also get detailed information on all your computer’s internal, LAN and external connections and communications settings and statistics, updated continuously at user-defined intervals. It’s like having the NetStat tool running continuously, giving you an open window onto your machine’s network activity.


 Local Adresses

Local Adresses

Local Connections...

Local connections are system-internal connections, i.e. that means that no data can be received by external sources and also no data will leave your computer. Using local connections only local applications will transmit data at each other on your system. There is only a low security risk using local connections.

LAN-Mask configuration...

With the IP mask you define IP addresses or a range from IP addresses, which have unrestricted access to your system. If you want to put on a range by IP addresses, you can use the substitute symbol (*). A classical example would be 192.168.1.* for all PCs within local home network. With this attitude you grant all PCs with the IP addresses between 192.168.1.1 and 192.168.1.255 full access rights. Please note that your IP address range, depending upon configuration of your local network, can deviate from this example.

Expert mode only and causes lower connection performance.


Self Protection

Self Protection

Viruses and Trojans often try to deactivate Firewalls and other protection devices. Trojans could load harmful code directly into the memory of your system and follow its activities completely unnoticed. Ashampoo FireWall Pro therefore sets on self protection and prevents the unauthorized terminating of the FireWall. Optionally you can specify that Ashampoo FireWall Pro (process) remains unidentified for other applications and/or that the FireWall process cannot be terminated.

Please note that some users and other security software could classify this as "suspicious".


Child Protection

Child protection

This feature makes it impossible to go online without entering the correct password. You can also define how long and at what times Internet access is allowed and you can set up a list of banned terms to block sites that are not suitable for children.


Traffic-Counter

Traffic limiting

If you have volume rate Internet account running programs that require permanent online access can generate unexpected costs when you exceed your monthly limit. The volume limiting feature gives you full information on your online traffic volume at all times. You can also set a maximum volume limit so that the connection will be closed automatically when the limit is exceeded.


Blocked Ports

EinzelneBlock single ports

When your machine’s ports are “stealthed” port scanner programs cannot see your computer at all, making it impossible for them to collect information from it or use any known security holes in the operating system for an attack. Stealth ports protect you against both local and Internet attacks. It makes it impossible for attackers to scan your computer for open ports and also actively blocks attacks on your system.

Please note that ports in the list cannot be used by your system.


Security

Security

Here you can activate/deactivate incoming and outgoing ICMP connections in order to increase your security.


Miscellaneous

General...

Here you have the possibility to select next to the already existing visual notification a sound file which is played when opening the notification window dialogue, additionally.

Position of the Notification Window

Define the position of the warning notifications windows here. The pre-defined position appear directly at the lower right edge above the task bar. You can change the position of the notification dialogue according to your desires.

Rules Display...

Here you can specify the overview of existing rules. The whole path of rule-based applications or only the name of the application is selectable. Per default only the application name is visible.


Tools

Useful Tools to increase your System Security

Autostart Manager

Both regular programs and malicious programs often configure themselves to start automatically with Windows®. This can be both annoying and dangerous. This tool shows all auto-starting programs and enables you to disable them.

Process Information

Shows you all the processes running on your system and enables you to stop them. Useful for identifying and killing malicious programs.

Internet Cleaner

Wipes all traces of your surfing activity from your computer to protect your privacy.

IP Spam Blocker

Prevents annoying popup spam on the desktop that is sent using the Windows® messaging service (not to be confused with the Windows® Messenger instant messaging program)

FileWiper

Deletes sensitive files and folders securely and permanently so that the data can never be recovered – not even with specialized software or by data recovery labs using the most advanced tools and instruments.

Internet Accelerator

Checks the configuration of your Internet connection and optimizes your settings automatically if necessary to achieve better performance.


AutoStart Manager

Autostart Manager

Ashampoo FireWall Pro makes announcements of all autostarting entries of your system possible. You can let all entries of your system indicate here simply and comfortably at one time, without looking in the depths of the system registration. Autostart entries are used in addition to automatically start programs with each system start. Manual starting is no longer necessary. However also most Trojan horses use these autostarting entries, mainly in the system registration, so that the Trojan horse is activated with each system start.

Tabs

All

Here all found autostart entries are listed.

Windows® Registry

Here only autostart entries are listed, which have an entry in the registration data base.

Startup-Folder

Here only the autostart entries are listed, which are in startup files.

BHO (Browser Helper Objects)

A BHO is an application that enables developers to customize their Internet Explorer. When the Internet Explorer starts, it reads the registry to locate installed BHOs and then creates them. Though some corrupted BHOs can cause computer problems and change system functions. In this list you find these Plug-ins starting at system start.

Categories

Name

Indicates, which program needs this entry.

Location

Indicates, where this autostarting entry is.

HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Run

Reg\HKLM\Run stands for:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run

Shell\UserStartup stands for:

C:\Documents and Settings\USERNAME\Start Menu\Programs\Startup

Delete

If you selected and marked an unwanted entry before, you can remove this autostart entry by clicking the "Delete"-Button.

Processing

Although the entries are automatically updated, you can refresh the list manually.


Process Information

Processes

Current applications always have associated processes, those are indicated in task managers. Ashampoo FireWall Pro´s task manager, has extended functions in comparison to the normal Windows® task manager. Additionally Ashampoo FireWall Pro shows the icons of the applications, too.

Most Trojan horses are already active since system start, that means, they already run as process invisibly in the background, without visible windows anyway. However these processes are indicated in the process-list, where you can terminate immediately the current application. The affected file is still is on the PC, though the process of this file was terminated and a hacker cannot take control of your computer.

Tabs

All

Here you can see all running processes.

Hide System processes

Here you can see all processe beeing started by programs.

Only System processes

Here you can only see system processes.

Categories

Name

Indicates the name of the process.

File

Indicates, where the process belongs to, if it is not a system process and additionally indicates the program´s location on your hard disk.

Threads

Threads are occupied process cycles of a program. The number gives you information about the pre-defined operational sequences of the process.

End process

Please note, also Windows own processes are indicated and if these are terminated by you, at the time of terminating this process your system can become unstable. If the Thread, you would like to terminate, is a system process, Ashampoo FireWall Pro informs you automatically.

Processing

Although the entries are automatically updated, you can refresh the list manually


Internet Cleaner

Internet Cleaner

Using the Internet and surfing the web creates an amazing number and variety of temporary files and data objects on your computer. Almost all this data can be deleted safely. There are basically two reasons for deleting all the temporary and redundant data items created on your computer during Internet surfing sessions:

1: Wasted space

Depending on your browser and Windows® Internet Options settings, the temporary files created while you are online can take up a lot of space. Hundreds of megabytes of wasted hard disk capacity are quite common on machines using the default Windows® settings.

2: Compromised privacy

All these objects create a data trail as broad as a highway that gives anyone with access to your machine, and many websites, full information on everything you have done and everywhere you have been while you were online. If you don't like this idea it's probably high time that you started doing something about it!

What does Internet Cleaner do?

Internet Cleaner seeks out and allows you to delete all the temporary or security-compromising data types created on your machine while you are online. At the same time, it provides mechanisms for maintaining the convenience of these Windows® and web mechanisms.

Browser (Preferences)

Internet Explorer

If you mark the checkbox, all temporary data of the Intertet Explorer will be indicated.

Firefox

If you mark the checkbox, all temporary data of the Firefox-Browser will be indicated.

Opera

If you mark the checkbox, all temporary data of the Opera-Browser will be indicated.

Items to find and delete (Preferences)

Browser-Cache

It's always completely safe to delete all the items in the browser cache. The files here are simply temporary copies of the web pages you have visited recently. The worst thing that can happen is that you may have to wait a few seconds longer the next time you visit the web page, and since the web page has almost certainly changed in the meantime you'll probably have to wait for it to reload anyway.

Cookies

Deleting cookies is almost always safe. The only exceptions are the cookies created by trusted websites containing genuinely useful information that make browsing the sites easier or more fun. Examples of this include the personalized products lists displayed when you contact Amazon or stored user names and passwords so that you don't need to remember them to log on (although this feature is also a security risk if other users have access to your computer).

List of visited sites (History list)

Deleting the Visited Sites entries is also completely safe. This is just a list of websites that you have visited recently. In Microsoft® Internet Explorer the entries here are used for the autocomplete function and recent sites drop-down list in the browser's Address: field. You only need to keep it if you want to find recently-visited sites that you haven't added to your Favorites list yet. Deleting these entries prevents other users from seeing where you have been on the web.

Processing

Select "Scan" to search for Internet files you can delete.


IP Spam Blocker

IP Spam Blocker

A growing number of Internet users are complaining about a new kind of popup advertising windows that suddenly appear on their screens. This new kind of spam, known as "IP spam" or "Net spam", is generated through the internal Windows® messaging service, which is actually a tool provided to enable network administrators to send messages to multiple users via the network. (It shouldn't be confused with the Windows® Messenger instant messaging program, which is a completely different application.) Advertisers are now increasingly abusing this service by sending messages to large blocks of random IP addresses via the Internet. If you are online with an IP address that happens to be included in the block the message will suddenly appear on your screen if the Windows® messaging service is active on your computer. The service is activated by default on Windows® NT, 2000 and Windows® XP. This little tool enables you to just switch off the messaging service, getting rid of these annoying advertising messages forever! In the screenshot below you see the main dialog of the IP Spam Blocker.

Activate/Deactivate

The procedure to use the IP Spam Blocker is very easy. In the main screen of the IP

Spam Blocker it is very simple to to either activate or deactivate the Windows®

-Messenger.

Click the Enable IP Spam button to activate the Windows®-messaging service.

Click the Enable IP Spam button to deactivate the Windows® messaging service. The status changes to 'red'.


FileWiper

What does FileWiper do?

The FileWiper module deletes files and folders permanently so that they cannot be recovered with undelete programs or even by data recovery labs with advanced tools and instruments. It does this by overwriting all the data the files contain. You can choose different methods for wiping the files, depending on the level of security you need. In the screenshot below you see the main dialog of the FileWiper.

Why should I wipe files at all?

If you have any important, valuable, secret, personal or sensitive data on computers that can be accessed by others you should consider deleting it with FileWiper instead of the ordinary Windows® delete functions. When you delete files or folders in Windows® no data is really deleted from your hard disk or other media. Windows® simply makes one small change to the file's entry in the directory table. The file is then no longer listed in the Windows® Explorer and its data can be overwritten by other files, but until this happens both the file name and its data are still there on your hard disk.

Undelete programs

The way Windows® doesn't delete files makes it very easy for undelete programs to recover deleted files. As long as the data hasn't been overwritten by new files these programs can always restore the data. All they need to do is change the deleted files' entries the directory table back to the original setting. This means that anyone with an undelete program and access to your computer can normally access your deleted files.

Undelete programs can't restore data that has been overwritten. If the space on the hard disk occupied by the original file has been overwritten by a new file the undelete program will simply say that the file cannot be undeleted.

Procedure

To add individual files select the Add File(s) button. This will display a standard Windows® directory browser with which you can navigate your file system and select files.

To add entire folders select the Add Folder(s) button. When you select folders all the files and any sub-folders they contain will all be added to the file wipe list.

Wipe methods

FileWiper has two sets of options: Options for choosing the wipe method in the upper half of the Options screen, and additional options controlling the way the program works in the lower half of the options screen.

Options

Because of the way Windows® works it is not possible to delete the names of files and folders directly. Even if their contents have been wiped completely, the names are always still accessible to anyone with the necessary tools. This can be a problem if you have files and folders with sensitive names that you don't want anyone to see.

When this option is selected FileWiper overwrites the names of all wiped files and folders with random bytes, making it impossible to recover the original names. Recommended, selected by default.

You cannot rename folders that still contain files. Selected folders will only be renamed if all the files they contain have been wiped.

Folders are really nothing more than directory entries, just like file names. And like file names, the names of folders cannot really be deleted. When this option is selected any folders selected for wiping will be deleted after the files they contain have been wiped and their names will be overwritten with random bytes.

You cannot delete folders that still contain files, of course. You can only delete folders if you also delete all the files they contain.

This option is provided for testing purposes only. It is deselected by default and should not be used for normal wipe operations.

When this option is selected the selected files are wiped -- i.e. their data is overwritten using the wipe method selected (see above) -- but their directory entries are not deleted. This means that if you open Windows® Explorer after wiping them you will still see the files listed. However, if you view their contents you will find that they have been completely replaced by the data bytes written by FileWiper.

If you selected the Rename option (see above) before wiping the files and folders they will be listed with their new random names instead of their original names.

This allows you to check that wiping is performed properly before you use the program for deleting really critical data.


Internet Accelerator

What does Internet Accelerator do?

We created the Internet Accelerator because we discovered that the standard Windows® settings for many of the parameters controlling online performance are not actually very good for most modern Internet connections. We then performed exhaustive analysis and testing of the performance of various settings combinations (some of which have little or no documentation) until we came up with a set of settings delivering the best performance for each dial-up adapter and access type combination. In the screenshot below you see the main dialog of the Internet Accelerator.

DON'T OPTIMIZE SERVERS! Please don't use Internet Tuner if your computer is configured and acting as a server in a server/client network. You shouldn't try to optimize connections on these machines because the parameters that control the connection are also important for network traffic on the LAN administered by the server. Trying to optimize servers can have negative consequences, please don't do it!

Automatic Optimization

Select the connection type in the list. This selection is crucial! Please make absolutely sure that you have selected the right type. Ask your computer dealer or system administrator if you are not sure. Selecting the wrong type can make your connection slower or instable instead of speeding it up!

Manual Optimization

MTU:

MTU Defined

MTU stands for "Maximum Transmission Unit". It defines the size of the data packets that Windows® uses as a negotiation basis. When a connection is initiated between two computers they must agree on an MTU. This is done by comparing MTUs and selecting the smaller of the two.

How it Works

When you go online your Internet provider compares its MaxMTU with yours and chooses the smaller of the two. In theory, you might think that setting MaxMTU to the highest possible value would be the best solution. Then your provider would always choose its maximum value, which would maximize throughput. In practice, however, it's not that simple.

Packet Fragmentation

The problem is that your provider may allow a MaxMTU that is larger than those permitted by some of the other servers that carry the data along the way. If this happens the routers must break your packets up, and this almost always causes a drastic reduction in throughput. Among other things, the software routines used to break up and reassemble the packets are usually not very efficient, because it's not something that the programmers are particularly interested in (they don't really want to have to break up and reassemble packets at all). As a general rule of thumb, it's possible to say that the optimum MaxMTU figure increases with the available bandwidth. The trick is to choose a MaxMTU that is as large as possible without causing packet fragmentation.

The Effect of Windows "MTU Discovery"

Windows® has a built-in MTU Discovery feature that can prevent fragmentation automatically. It does this by sending out a packet with a "Not Fragmentable" tag at the beginning of every connection attempt (e.g. when you access a web page). Since the router can't fragment this packet it's forced to return an error message. Windows® then reduces the packet size and tries again, continuing until no error is returned. For example, if your Internet provider uses an MTU of 576 and your MTU is set to the Windows® default of 1500. Windows® must adjust your setting downwards every time you go online. This process is automatic, but it still takes it time. Setting the correct value greatly reduces the amount of work Windows® has to do to negotiate a connection, increasing access time.

RWIN:

Letting Windows® set RWIN:

If you allow Windows® to set RWIN it defaults to 8192 bytes, which it then automatically rounds up to the nearest multiple of the MSS value used for the current connection. If this isn't at least 4 times the MSS value it is adjusted to 4 * MSS, with a maximum limit of 64K. If your MaxMTU also uses the Windows® default of 1500, RWIN is rounded up to 8760 (1460 * 6).

Setting a fixed value of 4*MSS:

Setting this to a lower value can significantly improve performance. On most systems, setting exactly 4 times your MSS has proved to deliver optimum throughput. This is also the recommended setting.

Setting RWIN manually:

Performance can vary with different configurations and connection types, however. Many users report better performance with RWIN set to 6, 8 or even 10 times the MSS value.

Be warned, however, that setting RWIN manually can also decrease performance. The reason for this is because it takes control away from Windows®. If the MaxMTU is then negotiated to a different value RWIN will no longer be a whole integer multiple. For manual setting to be effective you must take steps to ensure that your MaxMTU will not be negotiated to a lower value.

DSL and other broadband connections:

Much of the above may not apply for DSL and other broadband connections. You probably shouldn't try to adjust the settings manually for these systems unless you have the necessary background information and experience.


Menu

The menu bar ...

Just go ahead and click on the Jump links in the picture below to move on and find out more about the different menus of Ashampoo FireWall Pro.


File

Menu > File

Exits Ashampoo FireWall Pro


Tools

Menu > Tools

Autostart Manager

Processes

Internet Cleaner

IP Spam Blocker

FileWiper

Internet Accelerator


Settings

Menu > Settings

Language

Set one among the available languages Ashampoo FireWall Pro should use. Your selected language will not be implented directly. You have to restart Ashampoo FireWall Pro.

Skin

Here you can change the skin of Ashampoo FireWall Pro.


Internet

Menu > Internet

Buy/Register

Starts the free online registration procedure. You must register the program to be eligible for free updates when they become available! This option is only displayed after you have purchased the program and entered your full version key code. Only displayed in the shareware version. Connects you to the Ashampoo website and opens the page with which you can purchase the program.

Recommend program to a friend and get full version

Enables you to automatically recommend the program to a friend by e-mail. PROFIT FROM YOUR RECOMMENDATIONS: Recommend your favorite software and get presented a full version key! How to make it: In your personal customer area (under "recommendation") you choose one of your registered programs and simply recommend it to friends, relatives, neighbours, etc. With 9 confirmed recommendations you automatically receive your personal full version key for the recommended program.

Ashampoo Homepage

Connects you to the Ashampoo Website.

Ashampoo Products

Connects you to the Product-Information page at Ashampoo's website.

Today's Special Offers

Connects you to the Ashampoo website and displays special offers and featured advertising links to products and services that users of Ashampoo programs may find useful or interesting.

Ashampoo free Newsletter

Connects you to the Ashampoo website page at which you can subscribe to our free e-mail newsletter with information about Ashampoo products, updates and special offers.

Online-Updates

Connects you to the Ashampoo website page where you can check for online updates of Ashampoo FireWall Pro.

My Ashampoo

Connects you with the "My Ashampoo" -website. You have to login with your user name and password. When logged on, you receive insight on previously received registration keys and recommendations. Furthermore you have the possibility to configure newsletter and user profile attitudes.


Help

Menu > Help

Display Help

Opens this help file.

About the Program

Displays the About Window. It contains the exact version number of the

application.


References

This section contains general reference information, including topics on some general features of Ashampoo FireWall Pro and some basic issues relevant for your system´s security.

System Requirements

Getting Help

Ashampoo Support


System Requirements

The requirements for running Ashampoo FireWall Pro are very modest:

Operating System:

Windows® 2000 and XP.

Computer:

Any computer that runs one of the above operating systems at a reasonable speed.

RAM and disk space:

128 MB RAM, around 12 MB for the program files.

Software:

Microsoft® Internet Explorer 5.0 or higher is required.

Other:

Full administrative rights are required to install the program.
After it has been installed it can be used with any user account.


Getting Help

Help documentation

Ashampoo FireWall Pro has a fully context-sensitive help system. To display the online help file just click on the Help button displayed in every screen or select Help in the Help menu at any point to view the topic of this help file most relevant to what you are currently doing. If you get really stuck you can contact Ashampoo Support, but please study the help carefully first -- we've put a lot of effort into making it as comprehensive as possible and chances are you'll find the answer here if you look!

Find required information

Getting started

This online help system is designed to make it easy to find what you need quickly and easily. The first time you use the program you should study the topics in the Introduction section; this will give you the grounding you need and help you to understand how the program works.

Help Contents

If selecting Help doesn't automatically open the online help at the topic you need the first place to look is in the Contents. If the Contents isn't currently displayed you can display it by clicking on the Contents tab in the left-hand pane of the help window (click on the Show icon in the help toolbar to display the tabs if they are not visible). The help system takes a "learning by doing" approach and you will find topics devoted to all the common procedures that you can perform with the program. Additional useful information is also available in the Reference section.

The Index

To display the index just click on the Index tab in the help window (click on the Show icon in the help toolbar to display the tabs if they are not visible). Then either scroll through the list of keywords or enter a keyword in the field at the top. When you have found a keyword that interests you double-click on it to display the topic referenced by the keyword.

Searching

If you don't find what you need in the contents or the index you can also perform a full-text search on the entire help system. Just click on the Search tab in the help window (click on the Show icon in the help toolbar to display the tabs if they are not visible). Then type in the word or phrase you want to search for in the field at the top of the search pane and click on the List Topics button to perform the search.


Ashampoo Support

Ashampoo Support

If you have any problems or questions about this program please contact our support hotline staff at one of the addresses shown below. You can also contact support directly by selecting the options in the 'Internet' menu within the program.

Ashampoo Contact Adresses
Website: http://www.ashampoo.com
Support: http://www.ashampoo.com/support
E-Mail Support: sis@ashampoo.com

Mail adress: ashampoo GmbH & Co. KG
Felix-Wankel-Str. 16
26125 Oldenburg
Germany


.topic 12060
Network protocols reserving ports. A port is
the entrance to your Computer.The port
number identifies what type of port it is.
For example, port 80 is used for HTTP traffic.
The port numbers are within the range of
0 to 65535
.topic 12070
A Trojan (trojan horse) is a malicious program that
is disguised as or embedded within legitimate software
and may seem to be useful or interesting (or at the very
least harmless) to an unsuspecting user, but are actually
harmful when executed.
.topic 12080
The “Transmission Control Protocol” (TCP) is used by your
Operating System in order to exchange data with other computers.
The “Internet Protocol” (IP) is the basis of the Internet.
.topic 12090
The MD5 protection provides the assurance that
a file has not been altered. MD5 is a way to verify
the data integrity.
.topic 12100
UDP (User Datagram Protocol) utilizes ports to
allow application-to-application communication.

.topic 12110
An IP address (Internet Protocol address) is a unique number
that devices use in order to identify and communicate with each
other on a computer network utilizing the Internet Protocol standard (IP).
.topic 12150
ICMP (Internet Control Message Protocol ) is considered an
integral part of IP, although it is architecturally layered upon IP.
ICMP provides error reporting, flow control and first-hop gateway
redirection. ICMP messages are sent in several situations for example,
when a data cannot reach its destination. Many hackers using ICMP to
ping systems. Ping works by sending ICMP “echo request” packets
 to the target host and listening for ICMP “echo response” replies.